package com.jojubanking.boot.module.system.convert.wqda;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.wqda.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wqda.WqdaDO;

/**
 * 问卷调查答案 Convert
 *
 * @author admin
 */
@Mapper
public interface WqdaConvert {

    WqdaConvert INSTANCE = Mappers.getMapper(WqdaConvert.class);

    WqdaDO convert(WqdaCreateReqVO bean);

    WqdaDO convert(WqdaUpdateReqVO bean);

    WqdaRespVO convert(WqdaDO bean);

    List<WqdaRespVO> convertList(List<WqdaDO> list);

    PageResult<WqdaRespVO> convertPage(PageResult<WqdaDO> page);

    List<WqdaExcelVO> convertList02(List<WqdaDO> list);

}
